/******/ (() => { // webpackBootstrap
/******/ 	"use strict";

;// external "lodash"
const external_lodash_namespaceObject = window["lodash"];
;// external ["wp","data"]
const external_wp_data_namespaceObject = window["wp"]["data"];
;// external ["wp","element"]
const external_wp_element_namespaceObject = window["wp"]["element"];
;// external ["wp","components"]
const external_wp_components_namespaceObject = window["wp"]["components"];
;// external ["wp","compose"]
const external_wp_compose_namespaceObject = window["wp"]["compose"];
;// external ["wp","coreData"]
const external_wp_coreData_namespaceObject = window["wp"]["coreData"];
;// external ["wp","editor"]
const external_wp_editor_namespaceObject = window["wp"]["editor"];
;// external ["wp","i18n"]
const external_wp_i18n_namespaceObject = window["wp"]["i18n"];
;// external ["wp","url"]
const external_wp_url_namespaceObject = window["wp"]["url"];
;// external "React"
const external_React_namespaceObject = window["React"];
;// ../../node_modules/.pnpm/lucide-react@0.453.0_react@18.3.1/node_modules/lucide-react/dist/esm/shared/src/utils.js
/**
 * @license lucide-react v0.453.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */

const toKebabCase = (string) => string.replace(/([a-z0-9])([A-Z])/g, "$1-$2").toLowerCase();
const mergeClasses = (...classes) => classes.filter((className, index, array) => {
  return Boolean(className) && array.indexOf(className) === index;
}).join(" ");


//# sourceMappingURL=utils.js.map

;// ../../node_modules/.pnpm/lucide-react@0.453.0_react@18.3.1/node_modules/lucide-react/dist/esm/defaultAttributes.js
/**
 * @license lucide-react v0.453.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */

var defaultAttributes = {
  xmlns: "http://www.w3.org/2000/svg",
  width: 24,
  height: 24,
  viewBox: "0 0 24 24",
  fill: "none",
  stroke: "currentColor",
  strokeWidth: 2,
  strokeLinecap: "round",
  strokeLinejoin: "round"
};


//# sourceMappingURL=defaultAttributes.js.map

;// ../../node_modules/.pnpm/lucide-react@0.453.0_react@18.3.1/node_modules/lucide-react/dist/esm/Icon.js
/**
 * @license lucide-react v0.453.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */





const Icon = (0,external_React_namespaceObject.forwardRef)(
  ({
    color = "currentColor",
    size = 24,
    strokeWidth = 2,
    absoluteStrokeWidth,
    className = "",
    children,
    iconNode,
    ...rest
  }, ref) => {
    return (0,external_React_namespaceObject.createElement)(
      "svg",
      {
        ref,
        ...defaultAttributes,
        width: size,
        height: size,
        stroke: color,
        strokeWidth: absoluteStrokeWidth ? Number(strokeWidth) * 24 / Number(size) : strokeWidth,
        className: mergeClasses("lucide", className),
        ...rest
      },
      [
        ...iconNode.map(([tag, attrs]) => (0,external_React_namespaceObject.createElement)(tag, attrs)),
        ...Array.isArray(children) ? children : [children]
      ]
    );
  }
);


//# sourceMappingURL=Icon.js.map

;// ../../node_modules/.pnpm/lucide-react@0.453.0_react@18.3.1/node_modules/lucide-react/dist/esm/createLucideIcon.js
/**
 * @license lucide-react v0.453.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */





const createLucideIcon = (iconName, iconNode) => {
  const Component = (0,external_React_namespaceObject.forwardRef)(
    ({ className, ...props }, ref) => (0,external_React_namespaceObject.createElement)(Icon, {
      ref,
      iconNode,
      className: mergeClasses(`lucide-${toKebabCase(iconName)}`, className),
      ...props
    })
  );
  Component.displayName = `${iconName}`;
  return Component;
};


//# sourceMappingURL=createLucideIcon.js.map

;// ../../node_modules/.pnpm/lucide-react@0.453.0_react@18.3.1/node_modules/lucide-react/dist/esm/icons/chevron-left.js
/**
 * @license lucide-react v0.453.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */



const ChevronLeft = createLucideIcon("ChevronLeft", [
  ["path", { d: "m15 18-6-6 6-6", key: "1wnfg3" }]
]);


//# sourceMappingURL=chevron-left.js.map

;// ../../node_modules/.pnpm/lucide-react@0.453.0_react@18.3.1/node_modules/lucide-react/dist/esm/icons/chevron-right.js
/**
 * @license lucide-react v0.453.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */



const ChevronRight = createLucideIcon("ChevronRight", [
  ["path", { d: "m9 18 6-6-6-6", key: "mthhwq" }]
]);


//# sourceMappingURL=chevron-right.js.map

;// ../../node_modules/.pnpm/lucide-react@0.453.0_react@18.3.1/node_modules/lucide-react/dist/esm/icons/chevron-down.js
/**
 * @license lucide-react v0.453.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */



const ChevronDown = createLucideIcon("ChevronDown", [
  ["path", { d: "m6 9 6 6 6-6", key: "qrunsl" }]
]);


//# sourceMappingURL=chevron-down.js.map

;// ../../node_modules/.pnpm/lucide-react@0.453.0_react@18.3.1/node_modules/lucide-react/dist/esm/icons/play.js
/**
 * @license lucide-react v0.453.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */



const Play = createLucideIcon("Play", [
  ["polygon", { points: "6 3 20 12 6 21 6 3", key: "1oa8hb" }]
]);


//# sourceMappingURL=play.js.map

;// ../../node_modules/.pnpm/lucide-react@0.453.0_react@18.3.1/node_modules/lucide-react/dist/esm/icons/square-pen.js
/**
 * @license lucide-react v0.453.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */



const SquarePen = createLucideIcon("SquarePen", [
  ["path", { d: "M12 3H5a2 2 0 0 0-2 2v14a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2v-7", key: "1m0v6g" }],
  [
    "path",
    {
      d: "M18.375 2.625a1 1 0 0 1 3 3l-9.013 9.014a2 2 0 0 1-.853.505l-2.873.84a.5.5 0 0 1-.62-.62l.84-2.873a2 2 0 0 1 .506-.852z",
      key: "ohrbg2"
    }
  ]
]);


//# sourceMappingURL=square-pen.js.map

;// ../../node_modules/.pnpm/lucide-react@0.453.0_react@18.3.1/node_modules/lucide-react/dist/esm/icons/square-mouse-pointer.js
/**
 * @license lucide-react v0.453.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */



const SquareMousePointer = createLucideIcon("SquareMousePointer", [
  [
    "path",
    {
      d: "M12.034 12.681a.498.498 0 0 1 .647-.647l9 3.5a.5.5 0 0 1-.033.943l-3.444 1.068a1 1 0 0 0-.66.66l-1.067 3.443a.5.5 0 0 1-.943.033z",
      key: "xwnzip"
    }
  ],
  ["path", { d: "M21 11V5a2 2 0 0 0-2-2H5a2 2 0 0 0-2 2v14a2 2 0 0 0 2 2h6", key: "14rsvq" }]
]);


//# sourceMappingURL=square-mouse-pointer.js.map

;// ../../node_modules/.pnpm/lucide-react@0.453.0_react@18.3.1/node_modules/lucide-react/dist/esm/icons/settings.js
/**
 * @license lucide-react v0.453.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */



const Settings = createLucideIcon("Settings", [
  [
    "path",
    {
      d: "M12.22 2h-.44a2 2 0 0 0-2 2v.18a2 2 0 0 1-1 1.73l-.43.25a2 2 0 0 1-2 0l-.15-.08a2 2 0 0 0-2.73.73l-.22.38a2 2 0 0 0 .73 2.73l.15.1a2 2 0 0 1 1 1.72v.51a2 2 0 0 1-1 1.74l-.15.09a2 2 0 0 0-.73 2.73l.22.38a2 2 0 0 0 2.73.73l.15-.08a2 2 0 0 1 2 0l.43.25a2 2 0 0 1 1 1.73V20a2 2 0 0 0 2 2h.44a2 2 0 0 0 2-2v-.18a2 2 0 0 1 1-1.73l.43-.25a2 2 0 0 1 2 0l.15.08a2 2 0 0 0 2.73-.73l.22-.39a2 2 0 0 0-.73-2.73l-.15-.08a2 2 0 0 1-1-1.74v-.5a2 2 0 0 1 1-1.74l.15-.09a2 2 0 0 0 .73-2.73l-.22-.38a2 2 0 0 0-2.73-.73l-.15.08a2 2 0 0 1-2 0l-.43-.25a2 2 0 0 1-1-1.73V4a2 2 0 0 0-2-2z",
      key: "1qme2f"
    }
  ],
  ["circle", { cx: "12", cy: "12", r: "3", key: "1v7zrd" }]
]);


//# sourceMappingURL=settings.js.map

;// ../../node_modules/.pnpm/lucide-react@0.453.0_react@18.3.1/node_modules/lucide-react/dist/esm/icons/mouse-pointer-2.js
/**
 * @license lucide-react v0.453.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */



const MousePointer2 = createLucideIcon("MousePointer2", [
  [
    "path",
    {
      d: "M4.037 4.688a.495.495 0 0 1 .651-.651l16 6.5a.5.5 0 0 1-.063.947l-6.124 1.58a2 2 0 0 0-1.438 1.435l-1.579 6.126a.5.5 0 0 1-.947.063z",
      key: "edeuup"
    }
  ]
]);


//# sourceMappingURL=mouse-pointer-2.js.map

;// ../../node_modules/.pnpm/lucide-react@0.453.0_react@18.3.1/node_modules/lucide-react/dist/esm/icons/scan-eye.js
/**
 * @license lucide-react v0.453.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */



const ScanEye = createLucideIcon("ScanEye", [
  ["path", { d: "M3 7V5a2 2 0 0 1 2-2h2", key: "aa7l1z" }],
  ["path", { d: "M17 3h2a2 2 0 0 1 2 2v2", key: "4qcy5o" }],
  ["path", { d: "M21 17v2a2 2 0 0 1-2 2h-2", key: "6vwrx8" }],
  ["path", { d: "M7 21H5a2 2 0 0 1-2-2v-2", key: "ioqczr" }],
  ["circle", { cx: "12", cy: "12", r: "1", key: "41hilf" }],
  [
    "path",
    {
      d: "M18.944 12.33a1 1 0 0 0 0-.66 7.5 7.5 0 0 0-13.888 0 1 1 0 0 0 0 .66 7.5 7.5 0 0 0 13.888 0",
      key: "11ak4c"
    }
  ]
]);


//# sourceMappingURL=scan-eye.js.map

;// ../../node_modules/.pnpm/lucide-react@0.453.0_react@18.3.1/node_modules/lucide-react/dist/esm/icons/square-dashed-mouse-pointer.js
/**
 * @license lucide-react v0.453.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */



const SquareDashedMousePointer = createLucideIcon("SquareDashedMousePointer", [
  [
    "path",
    {
      d: "M12.034 12.681a.498.498 0 0 1 .647-.647l9 3.5a.5.5 0 0 1-.033.943l-3.444 1.068a1 1 0 0 0-.66.66l-1.067 3.443a.5.5 0 0 1-.943.033z",
      key: "xwnzip"
    }
  ],
  ["path", { d: "M5 3a2 2 0 0 0-2 2", key: "y57alp" }],
  ["path", { d: "M19 3a2 2 0 0 1 2 2", key: "18rm91" }],
  ["path", { d: "M5 21a2 2 0 0 1-2-2", key: "sbafld" }],
  ["path", { d: "M9 3h1", key: "1yesri" }],
  ["path", { d: "M9 21h2", key: "1qve2z" }],
  ["path", { d: "M14 3h1", key: "1ec4yj" }],
  ["path", { d: "M3 9v1", key: "1r0deq" }],
  ["path", { d: "M21 9v2", key: "p14lih" }],
  ["path", { d: "M3 14v1", key: "vnatye" }]
]);


//# sourceMappingURL=square-dashed-mouse-pointer.js.map

;// external "ReactJSXRuntime"
const external_ReactJSXRuntime_namespaceObject = window["ReactJSXRuntime"];
;// ../../packages/icons/src/components/database-icon.tsx

/**
 * @see https://lucide.dev/icons/database
 */
function DatabaseIcon() {
  return /*#__PURE__*/_jsxs("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    width: "24",
    height: "24",
    fill: "none",
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: "1.5",
    viewBox: "0 0 24 24",
    children: [/*#__PURE__*/_jsx("ellipse", {
      cx: "12",
      cy: "5",
      rx: "9",
      ry: "3",
      fill: "none"
    }), /*#__PURE__*/_jsx("path", {
      d: "M3 5v14a9 3 0 0018 0V5M3 12a9 3 0 0018 0",
      fill: "none"
    })]
  });
}
;// ../../packages/icons/src/components/play-icon.tsx

function PlayIcon() {
  return /*#__PURE__*/_jsx("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    strokeWidth: "1.5",
    stroke: "currentColor",
    children: /*#__PURE__*/_jsx("path", {
      strokeLinecap: "round",
      strokeLinejoin: "round",
      fill: "none",
      d: "M5.25 5.653c0-.856.917-1.398 1.667-.986l11.54 6.348a1.125 1.125 0 010 1.971l-11.54 6.347a1.125 1.125 0 01-1.667-.985V5.653z"
    })
  });
}
;// ../../packages/icons/src/components/plus-icon.tsx

function PlusIcon({
  ...props
}) {
  return /*#__PURE__*/_jsx("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    width: 22,
    height: 22,
    fill: "none",
    viewBox: "0 0 22 22",
    preserveAspectRatio: "xMidYMid meet",
    ...props,
    children: /*#__PURE__*/_jsx("path", {
      fill: "currentColor",
      fillRule: "evenodd",
      d: "M3 0a3 3 0 0 0-3 3v16a3 3 0 0 0 3 3h16a3 3 0 0 0 3-3V3a3 3 0 0 0-3-3H3Zm7.067 11.933V16.5h1.866v-4.567H16.5v-1.866h-4.567V5.5h-1.866v4.567H5.5v1.866h4.567Z",
      clipRule: "evenodd",
      rx: "5"
    })
  });
}
;// ../../packages/icons/src/components/index.ts



;// external ["wp","primitives"]
const external_wp_primitives_namespaceObject = window["wp"]["primitives"];
;// ../../packages/icons/src/library/align-bottom.tsx


const alignBottom = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(external_wp_primitives_namespaceObject.SVG, {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 24 24",
  children: /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(external_wp_primitives_namespaceObject.Path, {
    d: "M15 4H9v11h6V4zM4 18.5V20h16v-1.5H4z"
  })
});
;// ../../packages/icons/src/library/align-center.tsx


const alignCenter = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(external_wp_primitives_namespaceObject.SVG, {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 24 24",
  children: /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(external_wp_primitives_namespaceObject.Path, {
    d: "M20 11h-5V4H9v7H4v1.5h5V20h6v-7.5h5z"
  })
});
;// ../../packages/icons/src/library/align-stretch.tsx


const alignStretch = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(external_wp_primitives_namespaceObject.SVG, {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 24 24",
  children: /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(external_wp_primitives_namespaceObject.Path, {
    d: "M4 4L20 4L20 5.5L4 5.5L4 4ZM10 7L14 7L14 17L10 17L10 7ZM20 18.5L4 18.5L4 20L20 20L20 18.5Z"
  })
});
;// ../../packages/icons/src/library/align-top.tsx


const alignTop = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(external_wp_primitives_namespaceObject.SVG, {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 24 24",
  children: /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(external_wp_primitives_namespaceObject.Path, {
    d: "M9 20h6V9H9v11zM4 4v1.5h16V4H4z"
  })
});
;// ../../packages/icons/src/library/blocks.tsx


const blocks = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsxs)(external_wp_primitives_namespaceObject.SVG, {
  viewBox: "0 0 17 17",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg",
  children: [/*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(external_wp_primitives_namespaceObject.Path, {
    d: "M7.08333 2.125H2.125V7.08333H7.08333V2.125Z",
    fill: "none",
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(external_wp_primitives_namespaceObject.Path, {
    d: "M14.875 2.125H9.91669V7.08333H14.875V2.125Z",
    fill: "none",
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(external_wp_primitives_namespaceObject.Path, {
    opacity: "0.5",
    d: "M14.875 9.91666H9.91669V14.875H14.875V9.91666Z",
    fill: "none",
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(external_wp_primitives_namespaceObject.Path, {
    d: "M7.08333 9.91666H2.125V14.875H7.08333V9.91666Z",
    fill: "none",
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  })]
});
;// ../../packages/icons/src/library/database.tsx


const database = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsxs)(external_wp_primitives_namespaceObject.SVG, {
  viewBox: "0 0 24 24",
  xmlns: "http://www.w3.org/2000/svg",
  children: [/*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(external_wp_primitives_namespaceObject.Path, {
    d: "M6.03396 6.09993C5.76993 6.32287 5.75 6.4612 5.75 6.5C5.75 6.5388 5.76993 6.67713 6.03396 6.90007C6.29451 7.12008 6.71602 7.352 7.3025 7.56146C8.46895 7.97805 10.1297 8.25 12 8.25C13.8703 8.25 15.531 7.97805 16.6975 7.56146C17.284 7.352 17.7055 7.12008 17.966 6.90007C18.2301 6.67713 18.25 6.5388 18.25 6.5C18.25 6.4612 18.2301 6.32287 17.966 6.09993C17.7055 5.87992 17.284 5.648 16.6975 5.43854C15.531 5.02195 13.8703 4.75 12 4.75C10.1297 4.75 8.46895 5.02195 7.3025 5.43854C6.71602 5.648 6.29451 5.87992 6.03396 6.09993ZM6.798 4.02593C8.16505 3.53769 10.0043 3.25 12 3.25C13.9957 3.25 15.8349 3.53769 17.202 4.02593C17.8823 4.26888 18.4859 4.57566 18.9338 4.95385C19.3782 5.32909 19.75 5.84844 19.75 6.5C19.75 7.15156 19.3782 7.67091 18.9338 8.04615C18.4859 8.42434 17.8823 8.73112 17.202 8.97407C15.8349 9.46231 13.9957 9.75 12 9.75C10.0043 9.75 8.16505 9.46231 6.798 8.97407C6.11774 8.73112 5.51411 8.42434 5.06623 8.04615C4.62183 7.67091 4.25 7.15156 4.25 6.5C4.25 5.84844 4.62183 5.32909 5.06623 4.95385C5.51411 4.57566 6.11774 4.26888 6.798 4.02593Z"
  }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(external_wp_primitives_namespaceObject.Path, {
    d: "M5 6.25C5.41421 6.25 5.75 6.58579 5.75 7V17.7059L5.75016 17.7074C5.75032 17.7085 5.75079 17.711 5.75203 17.7152C5.75451 17.7233 5.76075 17.7399 5.77604 17.765C5.80801 17.8174 5.87374 17.8972 5.99821 17.9956C6.25144 18.196 6.67295 18.4152 7.28383 18.6154C8.5003 19.014 10.1974 19.25 12 19.25C13.8026 19.25 15.4997 19.014 16.7162 18.6154C17.3271 18.4152 17.7486 18.196 18.0018 17.9956C18.1263 17.8972 18.192 17.8174 18.224 17.765C18.2392 17.7399 18.2455 17.7233 18.248 17.7152C18.2492 17.711 18.2497 17.7085 18.2498 17.7074L18.25 17.7059V7C18.25 6.58579 18.5858 6.25 19 6.25C19.4142 6.25 19.75 6.58579 19.75 7V17.7059C19.75 18.3361 19.368 18.8274 18.9325 19.172C18.4888 19.523 17.8852 19.8107 17.1833 20.0408C15.7743 20.5026 13.9104 20.75 12 20.75C10.0896 20.75 8.22571 20.5026 6.81668 20.0408C6.11481 19.8107 5.51118 19.523 5.06748 19.172C4.63203 18.8274 4.25 18.3361 4.25 17.7059V7C4.25 6.58579 4.58579 6.25 5 6.25Z"
  }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(external_wp_primitives_namespaceObject.Path, {
    d: "M5.74895 11.96C5.72818 11.5644 5.4008 11.25 5 11.25C4.58579 11.25 4.25 11.5858 4.25 12C4.25 12.6375 4.68757 13.0934 5.10699 13.3827C5.5495 13.688 6.14863 13.9366 6.84421 14.1354C8.24312 14.535 10.097 14.75 12 14.75C13.903 14.75 15.7569 14.535 17.1558 14.1354C17.8514 13.9366 18.4505 13.688 18.893 13.3827C19.3124 13.0934 19.75 12.6375 19.75 12C19.75 11.5858 19.4142 11.25 19 11.25C18.5992 11.25 18.2718 11.5644 18.251 11.96C18.235 11.9851 18.1838 12.0497 18.0413 12.148C17.7869 12.3235 17.3609 12.5167 16.7437 12.6931C15.5171 13.0435 13.81 13.25 12 13.25C10.19 13.25 8.48289 13.0435 7.25629 12.6931C6.63912 12.5167 6.21312 12.3235 5.95869 12.148C5.81623 12.0497 5.76504 11.9851 5.74895 11.96ZM18.2576 11.9482C18.2576 11.9482 18.2574 11.9489 18.2567 11.9502C18.2572 11.9489 18.2575 11.9482 18.2576 11.9482ZM5.74329 11.9502C5.74265 11.9489 5.7424 11.9482 5.74244 11.9482C5.74248 11.9482 5.7428 11.9489 5.74329 11.9502Z"
  })]
});
;// ../../packages/icons/src/library/ease.tsx

const ease = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("svg", {
  width: "24",
  height: "24",
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg",
  className: "lucide lucide-spline",
  children: /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M19 3.75C18.3096 3.75 17.75 4.30964 17.75 5C17.75 5.69036 18.3096 6.25 19 6.25C19.6904 6.25 20.25 5.69036 20.25 5C20.25 4.30964 19.6904 3.75 19 3.75ZM16.3489 4.26662C16.6698 3.10388 17.7352 2.25 19 2.25C20.5188 2.25 21.75 3.48122 21.75 5C21.75 6.51878 20.5188 7.75 19 7.75C17.7479 7.75 16.6912 6.91317 16.3588 5.76827C13.6089 5.92516 11.0032 7.08691 9.04505 9.04505C7.08691 11.0032 5.92516 13.6089 5.76827 16.3588C6.91317 16.6912 7.75 17.7479 7.75 19C7.75 20.5188 6.51878 21.75 5 21.75C3.48122 21.75 2.25 20.5188 2.25 19C2.25 17.7352 3.10388 16.6698 4.26662 16.3489C4.42729 13.2045 5.74722 10.2216 7.98439 7.98439C10.2216 5.74722 13.2045 4.42729 16.3489 4.26662ZM5 17.75C4.30964 17.75 3.75 18.3096 3.75 19C3.75 19.6904 4.30964 20.25 5 20.25C5.69036 20.25 6.25 19.6904 6.25 19C6.25 18.3096 5.69036 17.75 5 17.75Z",
    fill: "currentColor"
  })
});
;// ../../packages/icons/src/library/flask.tsx

/**
 * @see https://lucide.dev/icons/flask-conical
 */
const flask = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsxs)("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  width: "24",
  height: "24",
  viewBox: "0 0 24 24",
  fill: "none",
  stroke: "currentColor",
  strokeWidth: "2",
  strokeLinecap: "round",
  strokeLinejoin: "round",
  children: [/*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("path", {
    d: "M10 2v7.527a2 2 0 0 1-.211.896L4.72 20.55a1 1 0 0 0 .9 1.45h12.76a1 1 0 0 0 .9-1.45l-5.069-10.127A2 2 0 0 1 14 9.527V2"
  }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("path", {
    d: "M8.5 2h7"
  }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("path", {
    d: "M7 16h10"
  })]
});
;// ../../packages/icons/src/library/supablox.tsx

const supablox = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsxs)("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  width: "37",
  height: "42",
  fill: "none",
  viewBox: "0 0 37 42",
  children: [/*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("defs", {
    children: /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsxs)("linearGradient", {
      id: "supabloxGradient",
      x1: "0%",
      y1: "0%",
      x2: "100%",
      y2: "100%",
      children: [/*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("stop", {
        offset: "0%",
        stopColor: "#AEEBFF"
      }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("stop", {
        offset: "44%",
        stopColor: "#6172FF"
      }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("stop", {
        offset: "100%",
        stopColor: "#FFB1AC"
      }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("animateTransform", {
        attributeName: "gradientTransform",
        type: "translate",
        values: "0 0.25; -0.25 -0.25; 0 0.25",
        dur: "4s",
        repeatCount: "indefinite"
      })]
    })
  }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("path", {
    fill: "currentColor",
    fillRule: "evenodd",
    d: "M20.121.437a3.227 3.227 0 00-3.242 0L1.596 9.32A3.204 3.204 0 000 12.089v7.537c0 1.14.608 2.195 1.596 2.77l7.252 4.214v8.444c0 1.14.608 2.195 1.596 2.77l6.435 3.74a3.227 3.227 0 003.242 0l15.283-8.884A3.204 3.204 0 0037 29.911v-7.538c0-1.14-.608-2.194-1.596-2.769l-7.252-4.214V6.946c0-1.14-.608-2.195-1.596-2.77L20.12.437zm-.81 1.384a1.614 1.614 0 00-1.621 0l-5.852 3.401a.4.4 0 000 .693l6.257 3.636c.25.146.56.146.81 0l6.258-3.636a.4.4 0 000-.693l-5.852-3.4zM10.058 6.73a.807.807 0 00-.81 0L2.99 10.365a.4.4 0 000 .693l6.256 3.636c.25.146.56.146.811 0l6.257-3.636a.4.4 0 000-.693L10.058 6.73zm8.037 5.141a.807.807 0 01.81 0l6.258 3.637a.4.4 0 010 .692l-6.257 3.637a.807.807 0 01-.81 0l-6.258-3.637a.4.4 0 010-.692l6.257-3.637zm9.659 5.143a.807.807 0 00-.81 0l-6.258 3.637a.4.4 0 000 .692l6.257 3.637c.25.145.56.145.81 0l6.258-3.637a.4.4 0 000-.692l-6.257-3.637zM11.255 36.44a1.602 1.602 0 01-.798-1.385v-6.818c0-.31.337-.502.605-.346l6.235 3.624a.8.8 0 01.4.692v7.279c0 .309-.337.502-.606.346l-5.836-3.392zm7.65-14.282a.807.807 0 00-.81 0l-6.257 3.636a.4.4 0 000 .692l6.257 3.637c.25.146.56.146.81 0l6.258-3.637a.4.4 0 000-.692l-6.257-3.636z",
    clipRule: "evenodd",
    className: "supablox-icon"
  })]
});
;// ../../packages/icons/src/library/move-3d.tsx

/**
 * @see https://lucide.dev/icons/move-3d
 *
 * Adjusted paths to make the icon 20x20px.
 */
const move3d = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsxs)("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  width: "24",
  height: "24",
  viewBox: "0 0 24 24",
  fill: "none",
  stroke: "currentColor",
  strokeWidth: "1.5",
  strokeLinecap: "round",
  strokeLinejoin: "round",
  children: [/*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("path", {
    fill: "none",
    d: "M6.17 4.5v13.33h13.33"
  }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("path", {
    d: "m6.17 17.83 5-5"
  }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("path", {
    d: "m3.67 7 2.5-2.5 2.5 2.5"
  }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("path", {
    d: "m17 15.33 2.5 2.5-2.5 2.5"
  })]
});
;// ../../packages/icons/src/library/move.tsx

/**
 * @see https://lucide.dev/icons/move
 */
const move = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsxs)("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  width: "24",
  height: "24",
  viewBox: "0 0 24 24",
  fill: "none",
  stroke: "currentColor",
  strokeWidth: "1.5",
  strokeLinecap: "round",
  strokeLinejoin: "round",
  children: [/*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("polyline", {
    points: "5 9 2 12 5 15"
  }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("polyline", {
    points: "9 5 12 2 15 5"
  }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("polyline", {
    points: "15 19 12 22 9 19"
  }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("polyline", {
    points: "19 9 22 12 19 15"
  }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("line", {
    x1: "2",
    x2: "22",
    y1: "12",
    y2: "12"
  }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("line", {
    x1: "12",
    x2: "12",
    y1: "2",
    y2: "22"
  })]
});
;// ../../packages/icons/src/library/patterns.tsx


const patterns = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsxs)(external_wp_primitives_namespaceObject.SVG, {
  viewBox: "0 0 17 17",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg",
  children: [/*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(external_wp_primitives_namespaceObject.Path, {
    opacity: "0.3",
    d: "M15 2H2V3H15V2Z",
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(external_wp_primitives_namespaceObject.Path, {
    opacity: "0.3",
    d: "M15 15H2V16H15V15Z",
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(external_wp_primitives_namespaceObject.Path, {
    d: "M15 6H2V12H15V6Z",
    fill: "none",
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  })]
});
;// ../../packages/icons/src/library/pipette.tsx


/**
 * @see https://lucide.dev/icons/pipette
 */

const pipette = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsxs)(external_wp_primitives_namespaceObject.SVG, {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 24 24",
  children: [/*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(external_wp_primitives_namespaceObject.Path, {
    d: "M14.5137 11.4536C14.8155 11.7373 14.8302 12.212 14.5464 12.5137L6.93104 20.6137C6.7893 20.7645 6.59155 20.85 6.38462 20.85H4.17045L3.54643 21.5137C3.2627 21.8155 2.78805 21.8302 2.48627 21.5464C2.18449 21.2627 2.16985 20.7881 2.45358 20.4863L3.29973 19.5863C3.44148 19.4355 3.63922 19.35 3.84616 19.35H6.06033L13.4536 11.4863C13.7373 11.1845 14.212 11.1699 14.5137 11.4536Z"
  }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(external_wp_primitives_namespaceObject.Path, {
    d: "M12.5472 9.48705C12.8305 9.78923 12.8151 10.2639 12.513 10.5472L4.75 17.8249V20C4.75 20.4142 4.41421 20.75 4 20.75C3.58579 20.75 3.25 20.4142 3.25 20V17.5C3.25 17.2927 3.33581 17.0946 3.48704 16.9528L11.487 9.45285C11.7892 9.16955 12.2639 9.18486 12.5472 9.48705Z"
  }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(external_wp_primitives_namespaceObject.Path, {
    d: "M19.079 3.75C18.7684 3.75 18.4705 3.87338 18.2509 4.09299L15.172 7.17196C15.0313 7.31261 14.8405 7.39163 14.6416 7.39163C14.4427 7.39163 14.252 7.31261 14.1113 7.17196L13.7491 6.80973C13.6403 6.70099 13.5112 6.61473 13.3692 6.55588C13.2271 6.49703 13.0748 6.46674 12.921 6.46674C12.7672 6.46674 12.615 6.49703 12.4729 6.55588C12.3308 6.61473 12.2017 6.70099 12.093 6.80973C11.9842 6.91847 11.898 7.04756 11.8391 7.18964C11.7803 7.33171 11.75 7.48399 11.75 7.63777C11.75 7.79155 11.7803 7.94382 11.8391 8.0859C11.898 8.22798 11.9842 8.35707 12.093 8.46581L15.5342 11.907C15.6429 12.0158 15.772 12.102 15.9141 12.1609C16.0562 12.2197 16.2085 12.25 16.3622 12.25C16.516 12.25 16.6683 12.2197 16.8104 12.1609C16.9524 12.102 17.0815 12.0158 17.1903 11.907C17.299 11.7983 17.3853 11.6692 17.4441 11.5271C17.503 11.385 17.5333 11.2328 17.5333 11.079C17.5333 10.9252 17.503 10.7729 17.4441 10.6308C17.3853 10.4888 17.299 10.3597 17.1903 10.2509L16.828 9.8887C16.5351 9.59581 16.5351 9.12093 16.828 8.82804L19.907 5.74907C20.1266 5.52946 20.25 5.2316 20.25 4.92103C20.25 4.61045 20.1266 4.3126 19.907 4.09299C19.6874 3.87338 19.3895 3.75 19.079 3.75ZM17.1903 3.03233C17.6912 2.53141 18.3706 2.25 19.079 2.25C19.7874 2.25 20.4668 2.53141 20.9677 3.03233C21.4686 3.53324 21.75 4.21263 21.75 4.92103C21.75 5.62943 21.4686 6.30881 20.9677 6.80973L18.4115 9.36587C18.5849 9.57329 18.7261 9.8062 18.8299 10.0568C18.9642 10.3809 19.0333 10.7282 19.0333 11.079C19.0333 11.4297 18.9642 11.7771 18.8299 12.1011C18.6957 12.4252 18.499 12.7196 18.2509 12.9677C18.0029 13.2157 17.7085 13.4124 17.3844 13.5467C17.0603 13.6809 16.713 13.75 16.3622 13.75C16.0115 13.75 15.6641 13.6809 15.3401 13.5467C15.016 13.4124 14.7216 13.2157 14.4735 12.9677L11.0323 9.52647C10.7843 9.27844 10.5876 8.98399 10.4533 8.65993C10.3191 8.33586 10.25 7.98853 10.25 7.63777C10.25 7.287 10.3191 6.93967 10.4533 6.61561C10.5876 6.29155 10.7843 5.99709 11.0323 5.74907C11.2804 5.50104 11.5748 5.30429 11.8989 5.17006C12.2229 5.03583 12.5703 4.96674 12.921 4.96674C13.2718 4.96674 13.6191 5.03583 13.9432 5.17006C14.1938 5.27387 14.4267 5.41507 14.6341 5.58846L17.1903 3.03233Z"
  })]
});
;// ../../packages/icons/src/library/play.tsx


const play = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(external_wp_primitives_namespaceObject.SVG, {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 24 24",
  children: /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(external_wp_primitives_namespaceObject.Path, {
    d: "M6.55575 5.32441C6.30525 5.18693 6 5.36789 6 5.65314V18.3478C6.00008 18.4128 6.01709 18.4768 6.04937 18.5333C6.08167 18.5899 6.12815 18.637 6.18423 18.6702C6.24031 18.7033 6.30406 18.7213 6.36919 18.7223C6.43428 18.7233 6.49851 18.7073 6.55556 18.676C6.5556 18.676 6.55553 18.676 6.55556 18.676L18.0953 12.3291C18.1541 12.2968 18.2031 12.2492 18.2372 12.1914C18.2714 12.1336 18.2894 12.0678 18.2894 12.0006C18.2894 11.9335 18.2714 11.8676 18.2372 11.8099C18.2031 11.7521 18.1541 11.7045 18.0953 11.6721L6.55575 5.32441C6.55571 5.32438 6.5558 5.32443 6.55575 5.32441ZM4.5 5.65314C4.5 4.22644 6.02863 3.32342 7.2781 4.00979L18.8185 10.358C19.1125 10.5199 19.3579 10.7578 19.5286 11.0467C19.6993 11.3356 19.7894 11.6651 19.7894 12.0006C19.7894 12.3362 19.6993 12.6657 19.5286 12.9546C19.3579 13.2435 19.1127 13.4813 18.8187 13.6431L7.27844 19.9903C6.99304 20.1472 6.67158 20.2271 6.34593 20.2221C6.02028 20.217 5.70156 20.1272 5.42116 19.9616C5.14077 19.7959 4.90836 19.56 4.74684 19.2772C4.58531 18.9944 4.50024 18.6744 4.5 18.3487L4.5 5.65314Z"
  })
});
;// ../../packages/icons/src/library/rotate-3d.tsx

/**
 * @see https://lucide.dev/icons/move-3d
 *
 * Adjusted paths to make the icon 20x20px.
 */
const rotate3d = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsxs)("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  width: "24",
  height: "24",
  viewBox: "0 0 24 24",
  fill: "none",
  stroke: "currentColor",
  strokeWidth: "2",
  strokeLinecap: "round",
  strokeLinejoin: "round",
  children: [/*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("path", {
    fill: "none",
    d: "M16.466 7.5C15.643 4.237 13.952 2 12 2 9.239 2 7 6.477 7 12s2.239 10 5 10c.342 0 .677-.069 1-.2"
  }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("path", {
    fill: "none",
    d: "m15.194 13.707 3.814 1.86-1.86 3.814"
  }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("path", {
    fill: "none",
    d: "M19 15.57c-1.804.885-4.274 1.43-7 1.43-5.523 0-10-2.239-10-5s4.477-5 10-5c4.838 0 8.873 1.718 9.8 4"
  })]
});
;// ../../packages/icons/src/library/space-between.tsx


const spaceBetween = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(external_wp_primitives_namespaceObject.SVG, {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 24 24",
  children: /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(external_wp_primitives_namespaceObject.Path, {
    d: "M7 4H17V8L7 8V4ZM7 16L17 16V20L7 20V16ZM20 11.25H4V12.75H20V11.25Z"
  })
});
;// ../../packages/icons/src/library/square-mouse-pointer.tsx


/**
 * @see https://lucide.dev/icons/square-mouse-pointer
 *
 * Modified to make the icon a bit smaller.
 */

const squareMousePointer = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsxs)(external_wp_primitives_namespaceObject.SVG, {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 24 24",
  children: [/*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(external_wp_primitives_namespaceObject.Path, {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M13.0158 13.0158L15.1634 18.5382L15.7196 16.7434C15.7941 16.5027 15.9263 16.2834 16.1044 16.1052C16.2825 15.9271 16.5014 15.7951 16.742 15.7206L18.5385 15.1635L13.0158 13.0158ZM12.8199 11.3302C12.6124 11.2483 12.3854 11.2286 12.1668 11.2736C11.9469 11.3189 11.7451 11.4276 11.5864 11.5864C11.4276 11.7451 11.3189 11.9469 11.2736 12.1668C11.2286 12.3854 11.2483 12.6124 11.3302 12.8199L14.1296 20.0186C14.2164 20.2405 14.3699 20.43 14.5689 20.5609C14.768 20.6918 15.0029 20.7576 15.241 20.7493C15.4791 20.741 15.7087 20.6589 15.8982 20.5144C16.0876 20.3699 16.2275 20.1701 16.2985 19.9427L16.299 19.9412L17.1525 17.1869C17.1549 17.1792 17.1593 17.1716 17.1651 17.1659C17.1708 17.1601 17.1779 17.1559 17.1856 17.1535L19.9413 16.2989L19.9427 16.2985C20.1701 16.2275 20.3699 16.0876 20.5144 15.8982C20.6589 15.7087 20.741 15.4791 20.7493 15.241C20.7576 15.0029 20.6918 14.768 20.5609 14.5689C20.43 14.3699 20.2405 14.2164 20.0186 14.1296L12.8199 11.3302Z"
  }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(external_wp_primitives_namespaceObject.Path, {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M4.92528 4.92528C5.35766 4.49291 5.94408 4.25 6.55556 4.25H17.4444C18.0559 4.25 18.6423 4.49291 19.0747 4.92528C19.5071 5.35766 19.75 5.94408 19.75 6.55556V11.2222C19.75 11.6364 19.4142 11.9722 19 11.9722C18.5858 11.9722 18.25 11.6364 18.25 11.2222V6.55556C18.25 6.34191 18.1651 6.13701 18.0141 5.98594C17.863 5.83487 17.6581 5.75 17.4444 5.75H6.55556C6.34191 5.75 6.13701 5.83487 5.98594 5.98594C5.83487 6.13701 5.75 6.34191 5.75 6.55556V17.4444C5.75 17.6581 5.83487 17.863 5.98594 18.0141C6.13701 18.1651 6.34191 18.25 6.55556 18.25H11.2222C11.6364 18.25 11.9722 18.5858 11.9722 19C11.9722 19.4142 11.6364 19.75 11.2222 19.75H6.55556C5.94408 19.75 5.35766 19.5071 4.92528 19.0747C4.49291 18.6423 4.25 18.0559 4.25 17.4444V6.55556C4.25 5.94408 4.49291 5.35766 4.92528 4.92528Z"
  })]
});
;// ../../packages/icons/src/library/woocommerce.tsx


const woocommerce = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(external_wp_primitives_namespaceObject.SVG, {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 24 24",
  children: /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(external_wp_primitives_namespaceObject.Path, {
    fillRule: "evenodd",
    d: "M21.7332 4.89844H2.22955C0.998694 4.89952 0.00107755 5.89713 0 7.12799V14.567C0.00107755 15.7979 0.998694 16.7955 2.22955 16.7966H11.472L15.697 19.1476L14.7399 16.7966H21.7352C22.0283 16.7967 22.3185 16.7391 22.5893 16.627C22.8601 16.5149 23.1061 16.3505 23.3134 16.1433C23.5206 15.936 23.685 15.69 23.7971 15.4192C23.9092 15.1484 23.9668 14.8581 23.9667 14.5651V7.12799C23.9666 6.83491 23.9087 6.54472 23.7963 6.27402C23.684 6.00333 23.5194 5.75742 23.312 5.55036C23.1046 5.3433 22.8584 5.17915 22.5875 5.06729C22.3166 4.95543 22.0263 4.89805 21.7332 4.89844ZM1.47876 6.69898C1.3729 6.75132 1.27995 6.82646 1.20659 6.91901C1.13671 7.01225 1.08703 7.11903 1.06072 7.23254C1.03441 7.34605 1.03204 7.4638 1.05377 7.57828C1.6285 11.2544 2.16561 13.7337 2.6652 15.0163C2.85456 15.4833 3.08319 15.7072 3.35092 15.6883C3.76235 15.6628 4.25508 15.095 4.82912 13.9848C5.14063 13.3552 5.61279 12.4132 6.24561 11.1587C6.77782 13.0035 7.4992 14.3933 8.40953 15.3278C8.66491 15.5877 8.92313 15.7089 9.18439 15.6913C9.2943 15.6852 9.40062 15.65 9.4924 15.5892C9.58417 15.5285 9.65808 15.4443 9.70651 15.3455C9.80302 15.1459 9.84235 14.9234 9.82014 14.7028C9.75676 13.8049 9.84659 12.5598 10.0895 10.9677C10.3383 9.31803 10.6538 8.1386 11.0358 7.42938C11.1133 7.28648 11.1473 7.12408 11.1338 6.96211C11.1277 6.85235 11.0978 6.74522 11.0462 6.64813C10.9946 6.55105 10.9225 6.46633 10.835 6.39983C10.6621 6.25632 10.4399 6.18602 10.2159 6.20391C10.0789 6.21092 9.94645 6.25499 9.83258 6.33142C9.71871 6.40785 9.62773 6.51377 9.56937 6.63787C8.96525 7.74353 8.53492 9.53942 8.27826 12.0256C7.86279 10.9401 7.55215 9.81723 7.35059 8.67248C7.24284 8.09452 6.97413 7.82053 6.54439 7.8506C6.24757 7.87411 6.00365 8.07003 5.80773 8.43836L3.66047 12.5223C3.31105 11.0973 2.98259 9.36309 2.675 7.31966C2.60124 6.81547 2.31578 6.58105 1.81884 6.61632C1.70076 6.61841 1.58462 6.64664 1.47876 6.69898ZM21.6024 7.71485C21.8734 7.91113 22.0976 8.16488 22.259 8.45795C22.5757 8.98428 22.7341 9.62631 22.7341 10.3838C22.7416 11.361 22.4778 12.321 21.972 13.1571C21.3875 14.1366 20.6211 14.6264 19.6729 14.6264C19.4944 14.6256 19.3164 14.6063 19.1419 14.5686C18.8131 14.5068 18.502 14.3729 18.2311 14.1766C17.9601 13.9803 17.7359 13.7264 17.5746 13.4333C17.2579 12.8978 17.0995 12.2512 17.0995 11.4937C17.0901 10.521 17.3542 9.56513 17.8616 8.73517C18.4552 7.75558 19.2216 7.26579 20.1607 7.26579C20.3392 7.26625 20.5171 7.28529 20.6917 7.3226C21.0204 7.38463 21.3314 7.51857 21.6024 7.71485ZM20.2763 12.6251C20.64 12.2999 20.8892 11.816 21.0237 11.1734V11.1763C21.0722 10.9401 21.0962 10.6994 21.0952 10.4583C21.0926 10.1525 21.0341 9.84973 20.9228 9.56489C20.7791 9.19068 20.5878 8.97978 20.3488 8.93207C19.9949 8.85498 19.6546 9.05619 19.3281 9.5355C19.0802 9.88529 18.9044 10.2809 18.8108 10.6993C18.7624 10.9358 18.7384 11.1768 18.7393 11.4183C18.7424 11.7231 18.8008 12.0248 18.9117 12.3087C19.0554 12.6803 19.247 12.8913 19.4868 12.9415C19.7265 12.9918 19.9896 12.8864 20.2763 12.6251ZM15.4641 7.7151C15.735 7.91136 15.9593 8.16501 16.1209 8.45795H16.1199C16.436 8.98428 16.594 9.62631 16.594 10.3838C16.6019 11.3609 16.3384 12.3209 15.8329 13.1571C15.2484 14.1366 14.482 14.6264 13.5338 14.6264C13.3549 14.6256 13.1767 14.6062 13.0019 14.5686C12.6731 14.5065 12.3622 14.3725 12.0912 14.1762C11.8203 13.98 11.596 13.7263 11.4345 13.4333C11.1184 12.8978 10.9604 12.2512 10.9604 11.4937C10.951 10.521 11.2151 9.56513 11.7225 8.73517C12.3155 7.75558 13.0819 7.26579 14.0216 7.26579C14.2004 7.2663 14.3787 7.28534 14.5535 7.3226C14.8822 7.38482 15.1932 7.51884 15.4641 7.7151ZM14.1382 12.6251C14.5026 12.2999 14.7517 11.816 14.8856 11.1734V11.1763C14.9341 10.9401 14.9581 10.6994 14.9571 10.4583C14.9539 10.1525 14.8955 9.84987 14.7847 9.56489C14.641 9.19068 14.4497 8.97978 14.2107 8.93207C13.8567 8.85498 13.5164 9.05619 13.1899 9.5355C12.9421 9.88529 12.7662 10.2809 12.6727 10.6993C12.6239 10.9358 12.5996 11.1767 12.6002 11.4183C12.6036 11.7231 12.6624 12.0249 12.7736 12.3087C12.9166 12.6829 13.1086 12.8935 13.3477 12.9415C13.5867 12.9895 13.8512 12.8837 14.1382 12.6251Z"
  })
});
;// ../../packages/icons/src/library/mobile.tsx

const mobile = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsxs)("svg", {
  width: "24",
  height: "24",
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg",
  className: "lucide",
  children: [/*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("path", {
    d: "M16 3H8C6.89543 3 6 3.89543 6 5V19C6 20.1046 6.89543 21 8 21H16C17.1046 21 18 20.1046 18 19V5C18 3.89543 17.1046 3 16 3Z",
    stroke: "currentColor",
    strokeWidth: "1.5",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    fill: "none"
  }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("path", {
    d: "M12 17H12.5",
    stroke: "currentColor",
    strokeWidth: "1.5",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  })]
});
;// ../../packages/icons/src/library/tablet.tsx

const tablet = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsxs)("svg", {
  width: "24",
  height: "24",
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg",
  className: "lucide",
  children: [/*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("path", {
    d: "M18 3H6C4.89543 3 4 3.89543 4 5V19C4 20.1046 4.89543 21 6 21H18C19.1046 21 20 20.1046 20 19V5C20 3.89543 19.1046 3 18 3Z",
    stroke: "currentColor",
    strokeWidth: "1.5",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    fill: "none"
  }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("path", {
    d: "M9 17H15",
    stroke: "currentColor",
    strokeWidth: "1.5",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  })]
});
;// ../../packages/icons/src/library/desktop.tsx

const desktop = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsxs)("svg", {
  width: "24",
  height: "24",
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg",
  className: "lucide",
  children: [/*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("path", {
    d: "M20 18V8C20 6.89543 19.1046 6 18 6H6C4.89543 6 4 6.89543 4 8V18",
    stroke: "currentColor",
    strokeWidth: "1.5",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    fill: "none"
  }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("path", {
    d: "M2 18H22",
    stroke: "currentColor",
    strokeWidth: "1.5",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  })]
});
;// ../../packages/icons/src/library/database-eye.tsx

const databaseEye = props => /*#__PURE__*/_jsxs("svg", {
  width: "24",
  height: "24",
  viewBox: "0 0 24 24",
  className: "lucide lucide-database-eye",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg",
  ...props,
  children: [/*#__PURE__*/_jsx("path", {
    d: "M13.0281 18.1492C12.9906 18.0529 12.9906 17.9471 13.0281 17.8508C13.3934 17.0073 14.0134 16.286 14.8095 15.7785C15.6056 15.2709 16.542 15 17.5 15C18.458 15 19.3944 15.2709 20.1905 15.7785C20.9866 16.286 21.6066 17.0073 21.9719 17.8508C22.0094 17.9471 22.0094 18.0529 21.9719 18.1492C21.6066 18.9927 20.9866 19.714 20.1905 20.2215C19.3944 20.7291 18.458 21 17.5 21C16.542 21 15.6056 20.7291 14.8095 20.2215C14.0134 19.714 13.3934 18.9927 13.0281 18.1492Z",
    stroke: "currentColor",
    strokeWidth: "1.5",
    fill: "none",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_jsx("path", {
    d: "M17 18C17 18 17.2239 18 17.5 18C17.7761 18 18 18 18 18C18 18 17.7761 18 17.5 18C17.2239 18 17 18 17 18Z",
    stroke: "currentColor",
    strokeWidth: "1.5",
    fill: "none",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_jsx("path", {
    d: "M12 8C16.9706 8 21 6.65685 21 5C21 3.34315 16.9706 2 12 2C7.02944 2 3 3.34315 3 5C3 6.65685 7.02944 8 12 8Z",
    stroke: "currentColor",
    strokeWidth: "1.5",
    strokeLinecap: "round",
    fill: "none",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_jsx("path", {
    d: "M3 5V19C2.99443 19.4809 3.3358 19.9552 3.99533 20.383C4.65486 20.8107 5.61323 21.1793 6.78964 21.4577C7.96604 21.7361 9.32602 21.9162 10.7549 21.9827",
    stroke: "currentColor",
    strokeWidth: "1.5",
    strokeLinecap: "round",
    fill: "none",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_jsx("path", {
    d: "M21 5V13",
    stroke: "currentColor",
    strokeWidth: "1.5",
    fill: "none",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_jsx("path", {
    d: "M3 12C3.00145 12.4675 3.33069 12.9285 3.96146 13.3461C4.59222 13.7636 5.50706 14.1263 6.63296 14.4051C7.75887 14.6839 9.06468 14.8711 10.4462 14.9519",
    stroke: "currentColor",
    strokeWidth: "1.5",
    fill: "none",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  })]
});
;// ../../packages/icons/src/library/layers.tsx

const layers_layers = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsxs)("svg", {
  width: "24",
  height: "24",
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg",
  children: [/*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("path", {
    d: "M21 12H13M21 6H8M21 18H13",
    stroke: "currentColor",
    strokeWidth: "1.5",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsxs)("g", {
    opacity: "0.2",
    children: [/*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("path", {
      fillRule: "evenodd",
      clipRule: "evenodd",
      d: "M3 5.25C3.41421 5.25 3.75 5.58579 3.75 6V10C3.75 10.6858 4.31421 11.25 5 11.25H8C8.41421 11.25 8.75 11.5858 8.75 12C8.75 12.4142 8.41421 12.75 8 12.75H5C3.48579 12.75 2.25 11.5142 2.25 10V6C2.25 5.58579 2.58579 5.25 3 5.25Z",
      fill: "currentColor"
    }), /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("path", {
      fillRule: "evenodd",
      clipRule: "evenodd",
      d: "M3 9.25C3.41421 9.25 3.75 9.58579 3.75 10V16C3.75 16.6858 4.31421 17.25 5 17.25H8C8.41421 17.25 8.75 17.5858 8.75 18C8.75 18.4142 8.41421 18.75 8 18.75H5C3.48579 18.75 2.25 17.5142 2.25 16V10C2.25 9.58579 2.58579 9.25 3 9.25Z",
      fill: "currentColor"
    })]
  })]
});
;// ../../packages/icons/src/library/index.ts























;// ../../packages/icons/src/index.tsx



const blank = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)("svg", {
  viewBox: "0 0 24 24",
  width: "24",
  height: "24"
});
const chevronLeft = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(ChevronLeft, {
  strokeWidth: 1.5,
  absoluteStrokeWidth: true
});
const chevronRight = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(ChevronRight, {
  strokeWidth: 1.5,
  absoluteStrokeWidth: true
});
const chevronDown = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(ChevronDown, {
  strokeWidth: 1.5,
  absoluteStrokeWidth: true
});
const src_play = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(Play, {
  strokeWidth: 1.5,
  absoluteStrokeWidth: true
});
const squarePen = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(SquarePen, {
  strokeWidth: 1.5,
  absoluteStrokeWidth: true
});
const textMode = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(SquarePen, {
  strokeWidth: 1.5,
  absoluteStrokeWidth: true
});
const designMode = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(SquareMousePointer, {
  strokeWidth: 1.5,
  absoluteStrokeWidth: true
});
const settings = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(Settings, {
  strokeWidth: 1.5,
  absoluteStrokeWidth: true
});
const mousePointer = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(MousePointer2, {
  strokeWidth: 1.5,
  absoluteStrokeWidth: true
});
const context = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(ScanEye, {
  strokeWidth: 1.5,
  absoluteStrokeWidth: true
});
const hover = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(MousePointer2, {
  strokeWidth: 1.5,
  absoluteStrokeWidth: true
});
const groupHover = /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(SquareDashedMousePointer, {
  strokeWidth: 1.5,
  absoluteStrokeWidth: true
});


;// ./src/block-editor/components/edit-with-supablox/index.tsx










const {
  editorUrl,
  postTypes
} = window.supabloxBlockEditorData || {};
const label = (0,external_wp_i18n_namespaceObject.__)('Edit with Supablox', 'supablox');
function EditWithSupablox() {
  const {
    editPost,
    savePost
  } = (0,external_wp_data_namespaceObject.useDispatch)(external_wp_editor_namespaceObject.store);
  const {
    getEditedEntityRecord
  } = (0,external_wp_data_namespaceObject.useSelect)(external_wp_coreData_namespaceObject.store, []);
  const [isSaving, setSaving] = (0,external_wp_element_namespaceObject.useState)(false);
  // @see https://github.com/WordPress/gutenberg/blob/trunk/packages/editor/src/components/header/index.js
  const isLargeViewport = (0,external_wp_compose_namespaceObject.useViewportMatch)('large');
  const {
    postType,
    postId
  } = (0,external_wp_data_namespaceObject.useSelect)(select => {
    const {
      getCurrentPostType,
      getCurrentPostId
    } = select(external_wp_editor_namespaceObject.store);
    return {
      postType: getCurrentPostType(),
      postId: getCurrentPostId()
    };
  }, []);
  const editUrl = (0,external_wp_element_namespaceObject.useMemo)(() => {
    return (0,external_wp_url_namespaceObject.addQueryArgs)(editorUrl, {
      postType,
      postId
    });
  }, [postType, postId]);
  if (!editorUrl || !postTypes?.includes(postType)) {
    return null;
  }
  const onClick = async event => {
    if (event.altKey || event.ctrlKey || event.metaKey || event.shiftKey) {
      return;
    }
    const record = getEditedEntityRecord('postType', postType, postId);
    const isDirty = record && 'content' in record && typeof record?.content === 'function';
    const title = record && 'title' in record && record?.title;
    setSaving(true);
    if (!title) editPost({
      title: 'Auto Draft'
    });
    if (isDirty || !title) await savePost();
    window.location.assign(editUrl);
    event.preventDefault();
  };
  return /*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(external_wp_components_namespaceObject.Button, {
    href: editUrl,
    icon: supablox,
    iconSize: 16,
    label: label,
    isBusy: isSaving,
    onClick: onClick,
    size: "compact",
    children: isLargeViewport ? label : null
  });
}
;// ./src/block-editor/index.tsx






let currentContainer = null;
let unmount = null;
(0,external_wp_data_namespaceObject.subscribe)((0,external_lodash_namespaceObject.debounce)(() => {
  const container = document.querySelector('.editor-header .editor-header__settings');
  if (!container || container === currentContainer) return;
  unmount = mount(container);
  currentContainer = container;
},
// @ts-expect-error
{
  leading: true,
  trailing: true
}));
function mount(container) {
  unmount?.();
  const element = document.createElement('div');
  element.classList.add('supablox-toolbar');
  container.insertAdjacentElement('afterbegin', element);
  const root = (0,external_wp_element_namespaceObject.createRoot)(element);
  root.render(/*#__PURE__*/(0,external_ReactJSXRuntime_namespaceObject.jsx)(EditWithSupablox, {}));
  const observer = new MutationObserver(() => {
    if (!element.isConnected) {
      unmount?.();
    }
  });
  observer.observe(container, {
    childList: true
  });
  return () => {
    Promise.resolve().then(() => {
      root.unmount();
      unmount = null;
    });
  };
}
/******/ })()
;