<?php

namespace Supablox\Packages\Compose;

add_action( 'rest_prepare_attachment', __NAMESPACE__ . '\rest_prepare_attachment', 10, 3 );

function rest_prepare_attachment( \WP_REST_Response $response, \WP_Post $post, \WP_REST_Request $request ) {
	$id = $request->get_param( 'id' );
	$size = $request->get_param( 'supablox_size' );
	$data = $response->get_data();

	if ( ! isset( $data['supablox_media_details'] ) && ! empty( $size ) ) {
		list ( $url, $width, $height ) = wp_get_attachment_image_src( $id, $size );
		$caption = wp_get_attachment_caption( $id );

		$data['supablox_media_details'] = [
			'id' => $id,
			'url' => $url,
			'width' => $width,
			'height' => $height,
			'caption' => $caption,
			'class' => "attachment-$size size-$size",
		];

		$response->set_data( $data );
	}

	return $response;
}
