<?php

namespace Supablox;

const PREFERENCES_NAME = 'supablox/preferences';

const DEFAULT_PREFERENCES = [
	'mode' => 'design',
	'colorScheme' => 'dark',
	'blockInspectorTabs' => false,
	'blockInspectorLocation' => 'right',
	'showInBetweenInserter' => true,
	'welcomeGuideVersion' => 0,
];

function get_preferences() {
	global $wpdb;

	$meta_key  = $wpdb->get_blog_prefix() . 'persisted_preferences';
	$user_id   = get_current_user_id();
	$user_meta = get_user_meta( $user_id, $meta_key, true );

	if (
		isset( $user_meta[ PREFERENCES_NAME ] ) &&
		is_array( $user_meta[ PREFERENCES_NAME ] )
	) {
		return wp_parse_args( $user_meta[ PREFERENCES_NAME ], DEFAULT_PREFERENCES );
	}

	return DEFAULT_PREFERENCES;
}
