<?php

/**
 * Plugin Name: Supablox
 * Plugin URI: https://supablox.com
 * Update URI: https://api.supablox.com/v1/plugin/supablox
 * Description: The Supercharged WordPress Site Builder.
 * Version: 1.0.0-beta.3
 * Requires PHP: 8.2
 * Requires at least: 6.6
 * Tested up to: 6.6
 * Author: Supablox
 * Author URI: https://supablox.com
 * Text Domain: supablox
 * Domain Path: /languages/
 */

namespace Supablox;

defined( 'ABSPATH' ) || exit;

define( 'Supablox\VERSION', '1.0.0-beta.3' );
define( 'Supablox\DIR', __DIR__ );
define( 'Supablox\FILE', __FILE__ );
define( 'Supablox\URL', plugin_dir_url( __FILE__ ) );

require_once __DIR__ . '/includes/functions.php';

require_package( __DIR__ . '/includes/packages/admin/index.php' );
require_package( __DIR__ . '/includes/packages/compose/index.php' );
require_package( __DIR__ . '/includes/packages/controls/index.php' );

require_once __DIR__ . '/includes/class-rest-preview-controller.php';
require_once __DIR__ . '/includes/class-rest-search-handler.php';
require_once __DIR__ . '/includes/class-rest-settings-controller.php';
require_once __DIR__ . '/includes/admin.php';
require_once __DIR__ . '/includes/assets.php';
require_once __DIR__ . '/includes/block-editor.php';
require_once __DIR__ . '/includes/blocks.php';
require_once __DIR__ . '/includes/canvas.php';
require_once __DIR__ . '/includes/editor.php';
require_once __DIR__ . '/includes/post.php';
require_once __DIR__ . '/includes/preferences.php';
require_once __DIR__ . '/includes/preview.php';
require_once __DIR__ . '/includes/public.php';
require_once __DIR__ . '/includes/rest-api.php';

function init() {
	add_post_type_support( 'post', 'supablox' );
	add_post_type_support( 'page', 'supablox' );

	if ( current_theme_supports( 'block-templates' ) ) {
		add_post_type_support( 'wp_template', 'supablox' );
		add_post_type_support( 'wp_template_part', 'supablox' );
	}

	if ( class_exists( 'woocommerce' ) ) {
		add_post_type_support( 'product', 'supablox' );
	}
}
add_action( 'init', __NAMESPACE__ . '\init' );
